# class ActiveRecord::ConnectionAdapters::RealTransaction

### Public Class Methods

new(connection, options, *args) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 125
    def initialize(connection, options, *args)
      super
      if options[:isolation]
        connection.begin_isolated_db_transaction(options[:isolation])
      else
        connection.begin_db_transaction
      end
    end

### Public Instance Methods

commit() click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 139
    def commit
      connection.commit_db_transaction
      super
    end

rollback() click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/abstract/transaction.rb, line 134
    def rollback
      connection.rollback_db_transaction
      super
    end